{
  'targets': [
    {
      'target_name': 'replay_claw',
      'type': 'executable',
      'variables': {
        'no_rsync': 1,
      },
      'sources': [
        'replay_claw.cc',
      ],
      'dependencies': [
        'claw_queue',
        '<(AOS)/common/controls/controls.gyp:replay_control_loop',
        '<(AOS)/linux_code/linux_code.gyp:init',
      ],
    },
    {
      'target_name': 'claw_queue',
      'type': 'static_library',
      'sources': ['claw.q'],
      'variables': {
        'header_path': 'y2015/control_loops/claw',
      },
      'dependencies': [
        '<(AOS)/common/controls/controls.gyp:control_loop_queues',
        '<(DEPTH)/frc971/control_loops/control_loops.gyp:queues',
      ],
      'export_dependent_settings': [
        '<(AOS)/common/controls/controls.gyp:control_loop_queues',
        '<(DEPTH)/frc971/control_loops/control_loops.gyp:queues',

      ],
      'includes': ['../../../aos/build/queues.gypi'],
    },
    {
      'target_name': 'claw_lib',
      'type': 'static_library',
      'sources': [
        'claw.cc',
        'claw_motor_plant.cc',
      ],
      'dependencies': [
        'claw_queue',
        '<(AOS)/common/controls/controls.gyp:control_loop',
        '<(AOS)/common/common.gyp:time',
        '<(AOS)/common/util/util.gyp:trapezoid_profile',
        '<(DEPTH)/y2015/y2015.gyp:constants',
        '<(DEPTH)/frc971/control_loops/control_loops.gyp:state_feedback_loop',
        '<(DEPTH)/frc971/zeroing/zeroing.gyp:zeroing',
      ],
      'export_dependent_settings': [
        'claw_queue',
        '<(AOS)/common/controls/controls.gyp:control_loop',
        '<(AOS)/common/common.gyp:time',
        '<(AOS)/common/util/util.gyp:trapezoid_profile',
        '<(DEPTH)/frc971/control_loops/control_loops.gyp:state_feedback_loop',
        '<(DEPTH)/frc971/zeroing/zeroing.gyp:zeroing',
      ],
    },
    {
      'target_name': 'claw_lib_test',
      'type': 'executable',
      'sources': [
        'claw_lib_test.cc',
      ],
      'dependencies': [
        '<(EXTERNALS):gtest',
        'claw_lib',
        '<(DEPTH)/frc971/control_loops/control_loops.gyp:state_feedback_loop',
        '<(AOS)/common/controls/controls.gyp:control_loop_test',
        '<(AOS)/common/common.gyp:time',
        '<(DEPTH)/frc971/control_loops/control_loops.gyp:position_sensor_sim',
        '<(DEPTH)/frc971/control_loops/control_loops.gyp:team_number_test_environment',
      ],
    },
    {
      'target_name': 'claw',
      'type': 'executable',
      'sources': [
        'claw_main.cc',
      ],
      'dependencies': [
        '<(AOS)/linux_code/linux_code.gyp:init',
        'claw_lib',
      ],
    },
  ],
}
